> ## Documentation Index
> Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Reply to a Review

> Post a text reply to a Facebook or Google Business Profile review by sending the platform and review ID, and see the success and error responses returned.

Add a reply to a review. Currently only Facebook and Google Business Profile reviews are supported.

## Header Parameters

**Authorization** `string` *required*

[API Key](https://www.ayrshare.com/docs/apis/overview.md#authorization) of the Primary Profile.

Format: `Authorization: Bearer API_KEY`
**Profile-Key** `string`

[Profile Key](https://www.ayrshare.com/docs/apis/overview.md#profile-key-format) of a User Profile.

Format: `Profile-Key: PROFILE_KEY`

#### Body Parameters

**platform** `string` *required*

Values: `gmb` or `facebook`

**reviewId** `string` *required*

The review ID.

**reply** `string` *required*

The String text for the review reply.

```bash cURL theme={"system"}
curl \
-H "Authorization: Bearer API_KEY" \
-H 'Content-Type: application/json' \
-d '{"reviewId": "Ut1fWU6XkqkMayHGnJZ", "platform": "gmb", "reply": "An amazing review!"}' \
-X POST https://api.ayrshare.com/api/reviews
```

```javascript JavaScript theme={"system"}
const API_KEY = "API_KEY";

fetch("https://api.ayrshare.com/api/reviews", {
      method: "POST",
      headers: {
        "Content-Type": "application/json",
        "Authorization": `Bearer ${API_KEY}`
      },
      body: JSON.stringify({
        reviewId: "Ut1fWU6XkqkMayHGnJZ", // required
        platform: "gmb", // required
        reply: "An amazing review!", //required
      }),
    })
      .then((res) => res.json())
      .then((json) => console.log(json))
      .catch(console.error);
```

```python Python theme={"system"}
import requests

payload = {'reviewId': 'Ut1fWU6XkqkMayHGnJZ',
        'platform': 'gmb',
        'reply': 'An amazing review!'}
headers = {'Content-Type': 'application/json',
        'Authorization': 'Bearer API_KEY'}

r = requests.post('https://api.ayrshare.com/api/reviews',
    json=payload,
    headers=headers)

print(r.json())
```

```php PHP theme={"system"}
<?php

$apiUrl = 'https://api.ayrshare.com/api/reviews';
$apiKey = 'API_KEY';  // Replace 'API_KEY' with your actual API key

$headers = [
    'Content-Type: application/json',
    'Authorization: Bearer ' . $apiKey,
];

$data = json_encode([
    'reviewId' => 'Ut1fWU6XkqkMayHGnJZ', // Replace with your actual review ID
    'platform' => 'gmb',
    'reply' => 'An amazing review!'
]);

$curl = curl_init($apiUrl);
curl_setopt_array($curl, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POST => true,
    CURLOPT_HTTPHEADER => $headers,
    CURLOPT_POSTFIELDS => $data
]);

$response = curl_exec($curl);

if ($response === false) {
    echo 'Curl error: ' . curl_error($curl);
} else {
    echo json_encode(json_decode($response), JSON_PRETTY_PRINT);
}

curl_close($curl);
```

```csharp C# theme={"system"}
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

namespace ReplyReviewPOSTRequest_csharp
{
class ReplyReview
{
    static async Task Main(string[] args)
    {
        string API_KEY = "API_KEY";
        string url = "https://api.ayrshare.com/api/reviews";
        
        // Create JSON payload with proper formatting
        string json = @"{
            ""reviewId"": ""Ut1fWU6XkqkMayHGnJZ"",
            ""platform"": ""gmb"",
            ""reply"": [""An amazing review!""]
        }";

        using (var client = new HttpClient())
        {
            client.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);

            try
            {
                var content = new StringContent(json, Encoding.UTF8, "application/json");
                HttpResponseMessage response = await client.PostAsync(url, content);
                
                response.EnsureSuccessStatusCode();
                string responseBody = await response.Content.ReadAsStringAsync();
                Console.WriteLine(responseBody);
            }
            catch (HttpRequestException e)
            {
                Console.WriteLine($"Error: {e.Message}");
            }
        }
    }
}
}
```

```json 200: Added Reply theme={"system"}
{
   "gmb": {
       "action": "reply",
       "status": "success",
       "id": "AbFvOqmQJ4xMTl2mjZl0h83TcOj",
       "reply": "This one is great",
       "platform": "gmb",
   }
},
{
   "facebook": {
       "status": "success",
       "platform": "facebook",
       "id": "376602035206384_737529881909727",
       "reply": "This one is great too",
       "action": "reply"
   }
}
```

```json 400: Bad Request theme={"system"}
{
  "gmb": {
    "action": "reviews",
    "status": "error",
    "code": 349,
    "message": "Error adding review. Please verify the review is still available.",
    "details": "Requested entity was not found."
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.